Name:		fdupes
Version:	1.51
Release:	%mkrel 6
Summary:	Identify or delete duplicate files
License:	BSD like
Group:		File tools
Url:		https://code.google.com/p/fdupes/
Source:		https://fdupes.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:        fdupes.macros
# Fix CVE
Patch0:		fdupes-1.51-fedora-check-permissions.patch
Patch1:		fdupes-1.51-fedora-destdir.patch
# http://bugs.debian.org/353789
Patch2:		fdupes-1.50-typo.patch
Patch3:		fdupes-1.51-fedora-obey-ldflags.patch

%description
FDUPES is a program for identifying or deleting duplicate files residing within
specified directories.

%prep
%setup -q
%autopatch -p1

%build
%make \
	COMPILER_OPTIONS="%{optflags}" \
	LDFLAGS="%{ldflags}"

%install
install -Dpm 755 %{name} %{buildroot}%{_bindir}/%{name}

# rpm macros
install -Dpm 644 %{SOURCE1} \
	%{buildroot}%{_sysconfdir}/rpm/macros.d/fdupes.macros

%check
./%{name} testdir
./%{name} --omitfirst testdir
./%{name} --recurse testdir
./%{name} --size testdir

%files
%doc CHANGES CONTRIBUTORS INSTALL README TODO
%{_bindir}/%{name}
%{_sysconfdir}/rpm/macros.d/fdupes.macros


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.51-6.mga6
+ Revision: 950253
- Mageia 6 Mass Rebuild

* Sun Oct 26 2014 wally <wally> 1.51-5.mga5
+ Revision: 793390
- add patch from Fedora to build with %%ldflags

* Wed Oct 15 2014 umeabot <umeabot> 1.51-4.mga5
+ Revision: 746288
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.51-3.mga5
+ Revision: 679113
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.51-2.mga4
+ Revision: 530431
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 zezinho <zezinho> 1.51-1.mga4
+ Revision: 457637
- new version

* Fri Jan 11 2013 umeabot <umeabot> 1.50-0.PR2.4.mga3
+ Revision: 350081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 18 2011 dmorgan <dmorgan> 1.50-0.PR2.3.mga2
+ Revision: 109484
- Add fdupes rpm macros from Opensuse

* Tue Jan 25 2011 dmorgan <dmorgan> 1.50-0.PR2.2.mga1
+ Revision: 39528
- imported package fdupes


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.50-0.PR2.2mdv2011.0
+ Revision: 618262
- the mass rebuild of 2010.0 packages

* Mon Sep 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.50-0.PR2.1mdv2010.0
+ Revision: 432988
- new version (even Debian has it already...)

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 1.40-5mdv2010.0
+ Revision: 428713
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.40-4mdv2009.0
+ Revision: 245076
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.40-2mdv2008.1
+ Revision: 124930
- kill re-definition of %%buildroot on Pixel's request
- import fdupes


* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.40-2mdv2007.0
- %%mkrel

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.40-1mdk 
- first mdk release
